
# 20081025-2300z - OASIS UBL 2.0 Update 20080510 Waybill
# 
# Copyright (C) - Crane Softwrights Ltd. - http://www.CraneSoftwrights.com/
# 
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions are met:
# 
# - Redistributions of source code must retain the above copyright notice, 
#   this list of conditions and the following disclaimer. 
# - Redistributions in binary form must reproduce the above copyright notice, 
#   this list of conditions and the following disclaimer in the documentation 
#   and/or other materials provided with the distribution. 
# - The name of the author may not be used to endorse or promote products 
#   derived from this software without specific prior written permission. 
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
# NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# Note: for your reference, the above is the "Modified BSD license", this text
#     was obtained 2002-12-16 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5

from CraneUBLFilterBase import FilterUBL

# prefixes is a dictionary where the key is the namespace URI
# the value is the prefix to use for matching purposes

prefixes = {
"urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2":"ar",
"urn:oasis:names:specification:ubl:schema:xsd:AttachedDocument-2":"ad",
"urn:oasis:names:specification:ubl:schema:xsd:BillOfLading-2":"bl",
"urn:oasis:names:specification:ubl:schema:xsd:Catalogue-2":"ct",
"urn:oasis:names:specification:ubl:schema:xsd:CatalogueDeletion-2":"cd",
"urn:oasis:names:specification:ubl:schema:xsd:CatalogueItemSpecificationUpdate-2":"cu",
"urn:oasis:names:specification:ubl:schema:xsd:CataloguePricingUpdate-2":"cp",
"urn:oasis:names:specification:ubl:schema:xsd:CatalogueRequest-2":"cr",
"urn:oasis:names:specification:ubl:schema:xsd:CertificateOfOrigin-2":"co",
"urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2":"cac",
"urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2":"cbc",
"urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2":"ext",
"urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2":"cn",
"urn:oasis:names:specification:ubl:schema:xsd:DebitNote-2":"dn",
"urn:oasis:names:specification:ubl:schema:xsd:DespatchAdvice-2":"da",
"urn:oasis:names:specification:ubl:schema:xsd:ForwardingInstructions-2":"fw",
"urn:oasis:names:specification:ubl:schema:xsd:FreightInvoice-2":"fr",
"urn:oasis:names:specification:ubl:schema:xsd:Invoice-2":"in",
"urn:oasis:names:specification:ubl:schema:xsd:Order-2":"po",
"urn:oasis:names:specification:ubl:schema:xsd:OrderCancellation-2":"ox",
"urn:oasis:names:specification:ubl:schema:xsd:OrderChange-2":"oc",
"urn:oasis:names:specification:ubl:schema:xsd:OrderResponse-2":"or",
"urn:oasis:names:specification:ubl:schema:xsd:OrderResponseSimple-2":"os",
"urn:oasis:names:specification:ubl:schema:xsd:PackingList-2":"pl",
"urn:oasis:names:specification:ubl:schema:xsd:Quotation-2":"qn",
"urn:oasis:names:specification:ubl:schema:xsd:ReceiptAdvice-2":"ra",
"urn:oasis:names:specification:ubl:schema:xsd:Reminder-2":"rd",
"urn:oasis:names:specification:ubl:schema:xsd:RemittanceAdvice-2":"rt",
"urn:oasis:names:specification:ubl:schema:xsd:RequestForQuotation-2":"rq",
"urn:oasis:names:specification:ubl:schema:xsd:SelfBilledCreditNote-2":"sc",
"urn:oasis:names:specification:ubl:schema:xsd:SelfBilledInvoice-2":"si",
"urn:oasis:names:specification:ubl:schema:xsd:Statement-2":"st",
"urn:oasis:names:specification:ubl:schema:xsd:TransportationStatus-2":"ts",
"urn:oasis:names:specification:ubl:schema:xsd:Waybill-2":"wb"
}

# parentChild is a dictionary of dictionaries:
#
# the key of the outer dictionary is the parent
# the value of the parent is a dictionary of allowed children
# the value of each allowed child is the cardinality of that child in context,
#   where a value of zero indicates there is no limit to the number of children

parentChild = {

"cac:ActualPackage": { "cac:ContainedPackage":0,
"cac:DeliveryUnit":0,
"cac:GoodsItem":0,
"cbc:ID":1,
"cac:MeasurementDimension":0,
"cbc:PackageLevelCode":1,
"cbc:PackagingTypeCode":1,
"cbc:PackingMaterial":0,
"cbc:Quantity":1,
"cbc:ReturnableMaterialIndicator":1 },

"cac:AdditionalDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:AdditionalItemIdentification": { "cbc:ExtendedID":1,
"cbc:ID":1,
"cac:IssuerParty":1,
"cac:MeasurementDimension":0,
"cac:PhysicalAttribute":0 },

"cac:AdditionalItemProperty": { "cac:ItemPropertyGroup":0,
"cbc:Name":1,
"cac:UsabilityPeriod":1,
"cbc:Value":1 },

"cac:AdditionalTemperature": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:Measure":1 },

"cac:Address": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:AddressLine": { "cbc:Line":1 },

"cac:AgentParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:AirTransport": { "cbc:AircraftID":1 },

"cac:AllowanceCharge": { "cbc:AccountingCost":1,
"cbc:AccountingCostCode":1,
"cbc:AllowanceChargeReason":1,
"cbc:AllowanceChargeReasonCode":1,
"cbc:Amount":1,
"cbc:BaseAmount":1,
"cbc:ChargeIndicator":1,
"cbc:ID":1,
"cbc:MultiplierFactorNumeric":1,
"cac:PaymentMeans":0,
"cbc:PrepaidIndicator":1,
"cbc:SequenceNumeric":1,
"cac:TaxCategory":0,
"cac:TaxTotal":1 },

"cac:AlternativeConditionPrice": { "cac:AllowanceCharge":0,
"cbc:BaseQuantity":1,
"cbc:OrderableUnitFactorRate":1,
"cbc:PriceAmount":1,
"cbc:PriceChangeReason":0,
"cac:PriceList":1,
"cbc:PriceType":1,
"cbc:PriceTypeCode":1,
"cac:ValidityPeriod":0 },

"cac:ApplicableTaxCategory": { "cbc:BaseUnitMeasure":1,
"cbc:ID":1,
"cbc:Name":1,
"cbc:PerUnitAmount":1,
"cbc:Percent":1,
"cbc:TaxExemptionReason":1,
"cbc:TaxExemptionReasonCode":1,
"cac:TaxScheme":1,
"cbc:TierRange":1,
"cbc:TierRatePercent":1 },

"cac:ApplicableTerritoryAddress": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:Attachment": { "cbc:EmbeddedDocumentBinaryObject":1,
"cac:ExternalReference":1 },

"cac:BillingReference": { "cac:AdditionalDocumentReference":1,
"cac:BillingReferenceLine":0,
"cac:CreditNoteDocumentReference":1,
"cac:DebitNoteDocumentReference":1,
"cac:InvoiceDocumentReference":1,
"cac:ReminderDocumentReference":1,
"cac:SelfBilledCreditNoteDocumentReference":1,
"cac:SelfBilledInvoiceDocumentReference":1 },

"cac:BillingReferenceLine": { "cac:AllowanceCharge":0,
"cbc:Amount":1,
"cbc:ID":1 },

"cac:Branch": { "cac:Address":1,
"cac:FinancialInstitution":1,
"cbc:ID":1,
"cbc:Name":1 },

"cac:BuyersItemIdentification": { "cbc:ExtendedID":1,
"cbc:ID":1,
"cac:IssuerParty":1,
"cac:MeasurementDimension":0,
"cac:PhysicalAttribute":0 },

"cac:CardAccount": { "cbc:CV2ID":1,
"cbc:CardChipCode":1,
"cbc:CardTypeCode":1,
"cbc:ChipApplicationID":1,
"cbc:ExpiryDate":1,
"cbc:HolderName":1,
"cbc:IssueNumberID":1,
"cbc:IssuerID":1,
"cbc:NetworkID":1,
"cbc:PrimaryAccountNumberID":1,
"cbc:ValidityStartDate":1 },

"cac:CarrierParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:CatalogueDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:CatalogueItemIdentification": { "cbc:ExtendedID":1,
"cbc:ID":1,
"cac:IssuerParty":1,
"cac:MeasurementDimension":0,
"cac:PhysicalAttribute":0 },

"cac:ClassifiedTaxCategory": { "cbc:BaseUnitMeasure":1,
"cbc:ID":1,
"cbc:Name":1,
"cbc:PerUnitAmount":1,
"cbc:Percent":1,
"cbc:TaxExemptionReason":1,
"cbc:TaxExemptionReasonCode":1,
"cac:TaxScheme":1,
"cbc:TierRange":1,
"cbc:TierRatePercent":1 },

"cac:CommodityClassification": { "cbc:CargoTypeCode":1,
"cbc:CommodityCode":1,
"cbc:ItemClassificationCode":1,
"cbc:NatureCode":1 },

"cac:Communication": { "cbc:Channel":1,
"cbc:ChannelCode":1,
"cbc:Value":1 },

"cac:ConsigneeParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:Consignment": { "cac:CarrierParty":1,
"cbc:ChargeableWeightMeasure":1,
"cac:ConsigneeParty":1,
"cac:ConsignorParty":1,
"cbc:DeclaredCustomsValueAmount":1,
"cac:DeliveryTerms":1,
"cac:ExporterParty":1,
"cac:FinalDeliveryParty":1,
"cac:FinalDeliveryTransportationService":1,
"cac:FinalDestinationCountry":1,
"cac:FreightAllowanceCharge":0,
"cac:FreightForwarderParty":1,
"cbc:GrossVolumeMeasure":1,
"cbc:GrossWeightMeasure":1,
"cbc:HazardousRiskIndicator":1,
"cbc:ID":1,
"cac:ImporterParty":1,
"cbc:InsurancePremiumAmount":1,
"cbc:LoadingLengthMeasure":1,
"cbc:NetNetWeightMeasure":1,
"cbc:NetVolumeMeasure":1,
"cbc:NetWeightMeasure":1,
"cac:NotifyParty":1,
"cac:OriginalDepartureCountry":1,
"cac:OriginalDespatchParty":1,
"cac:OriginalDespatchTransportationService":1,
"cac:PaymentTerms":1,
"cbc:Remarks":0,
"cbc:SummaryDescription":0,
"cbc:TariffCode":1,
"cbc:TariffDescription":0,
"cbc:TotalInvoiceAmount":1,
"cac:TransitCountry":0,
"cac:TransportContract":1 },

"cac:ConsignorParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:Contact": { "cbc:ElectronicMail":1,
"cbc:ID":1,
"cbc:Name":1,
"cbc:Note":1,
"cac:OtherCommunication":0,
"cbc:Telefax":1,
"cbc:Telephone":1 },

"cac:ContactParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:ContainedGoodsItem": { "cbc:ChargeableWeightMeasure":1,
"cac:ContainedGoodsItem":0,
"cbc:CustomsImportClassifiedIndicator":1,
"cbc:CustomsStatusCode":1,
"cbc:CustomsTariffQuantity":1,
"cbc:DeclaredCustomsValueAmount":1,
"cbc:DeclaredForCarriageValueAmount":1,
"cbc:DeclaredStatisticsValueAmount":1,
"cbc:Description":0,
"cbc:FreeOnBoardValueAmount":1,
"cac:FreightAllowanceCharge":0,
"cac:GoodsItemContainer":0,
"cbc:GrossVolumeMeasure":1,
"cbc:GrossWeightMeasure":1,
"cbc:HazardousRiskIndicator":1,
"cbc:ID":1,
"cbc:InsuranceValueAmount":1,
"cac:InvoiceLine":0,
"cac:Item":0,
"cbc:NetNetWeightMeasure":1,
"cbc:NetVolumeMeasure":1,
"cbc:NetWeightMeasure":1,
"cac:OriginAddress":1,
"cbc:PreferenceCriterionCode":1,
"cbc:Quantity":1,
"cbc:RequiredCustomsID":1,
"cbc:SequenceNumberID":1,
"cac:Temperature":0,
"cbc:ValueAmount":1 },

"cac:ContainedPackage": { "cac:ContainedPackage":0,
"cac:DeliveryUnit":0,
"cac:GoodsItem":0,
"cbc:ID":1,
"cac:MeasurementDimension":0,
"cbc:PackageLevelCode":1,
"cbc:PackagingTypeCode":1,
"cbc:PackingMaterial":0,
"cbc:Quantity":1,
"cbc:ReturnableMaterialIndicator":1 },

"cac:Contract": { "cac:ContractDocumentReference":0,
"cbc:ContractType":1,
"cbc:ContractTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:IssueTime":1,
"cac:ValidityPeriod":1 },

"cac:ContractDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:CorporateRegistrationScheme": { "cbc:CorporateRegistrationTypeCode":1,
"cbc:ID":1,
"cac:JurisdictionRegionAddress":0,
"cbc:Name":1 },

"cac:Country": { "cbc:IdentificationCode":1,
"cbc:Name":1 },

"cac:CreditAccount": { "cbc:AccountID":1 },

"cac:CreditNoteDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:DebitNoteDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:Delivery": { "cbc:ActualDeliveryDate":1,
"cbc:ActualDeliveryTime":1,
"cac:DeliveryAddress":1,
"cac:DeliveryLocation":1,
"cac:DeliveryParty":1,
"cac:Despatch":1,
"cac:EstimatedDeliveryPeriod":1,
"cbc:ID":1,
"cbc:LatestDeliveryDate":1,
"cbc:LatestDeliveryTime":1,
"cbc:MaximumQuantity":1,
"cbc:MinimumQuantity":1,
"cac:PromisedDeliveryPeriod":1,
"cbc:Quantity":1,
"cac:RequestedDeliveryPeriod":1,
"cbc:TrackingID":1 },

"cac:DeliveryAddress": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:DeliveryLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:DeliveryParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:DeliveryTerms": { "cac:AllowanceCharge":1,
"cac:DeliveryLocation":1,
"cbc:ID":1,
"cbc:LossRisk":1,
"cbc:LossRiskResponsibilityCode":1,
"cbc:SpecialTerms":1 },

"cac:DeliveryUnit": { "cbc:BatchQuantity":1,
"cbc:ConsumerUnitQuantity":1,
"cbc:HazardousRiskIndicator":1 },

"cac:Despatch": { "cbc:ActualDespatchDate":1,
"cbc:ActualDespatchTime":1,
"cac:Contact":1,
"cac:DespatchAddress":1,
"cac:DespatchParty":1,
"cbc:EstimatedDespatchDate":1,
"cbc:EstimatedDespatchTime":1,
"cbc:ID":1,
"cbc:RequestedDespatchDate":1,
"cbc:RequestedDespatchTime":1 },

"cac:DespatchAddress": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:DespatchLine": { "cbc:BackorderQuantity":1,
"cbc:BackorderReason":1,
"cbc:DeliveredQuantity":1,
"cac:DocumentReference":0,
"cbc:ID":1,
"cac:Item":1,
"cbc:LineStatusCode":1,
"cbc:Note":1,
"cac:OrderLineReference":0,
"cbc:OutstandingQuantity":1,
"cbc:OutstandingReason":1,
"cbc:OversupplyQuantity":1,
"cac:Shipment":0,
"cbc:UUID":1 },

"cac:DespatchLineReference": { "cac:DocumentReference":1,
"cbc:LineID":1,
"cbc:LineStatusCode":1,
"cbc:UUID":1 },

"cac:DespatchParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:DigitalSignatureAttachment": { "cbc:EmbeddedDocumentBinaryObject":1,
"cac:ExternalReference":1 },

"cac:Dimension": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:MaximumMeasure":1,
"cbc:Measure":1,
"cbc:MinimumMeasure":1 },

"cac:DocumentDistribution": { "cbc:MaximumCopiesNumeric":1,
"cac:Party":1,
"cbc:PrintQualifier":1 },

"cac:DocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:EmergencyTemperature": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:Measure":1 },

"cac:EstimatedDeliveryPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:ExchangeRate": { "cbc:CalculationRate":1,
"cbc:Date":1,
"cbc:ExchangeMarketID":1,
"cac:ForeignExchangeContract":1,
"cbc:MathematicOperatorCode":1,
"cbc:SourceCurrencyBaseRate":1,
"cbc:SourceCurrencyCode":1,
"cbc:TargetCurrencyBaseRate":1,
"cbc:TargetCurrencyCode":1 },

"cac:ExportCountry": { "cbc:IdentificationCode":1,
"cbc:Name":1 },

"cac:ExporterParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:ExternalReference": { "cbc:DocumentHash":1,
"cbc:ExpiryDate":1,
"cbc:ExpiryTime":1,
"cbc:URI":1 },

"cac:FinalDeliveryParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:FinalDeliveryTransportationService": { "cbc:FreightRateClassCode":1,
"cbc:Priority":1,
"cbc:TariffClassCode":1,
"cbc:TransportServiceCode":1 },

"cac:FinalDestinationCountry": { "cbc:IdentificationCode":1,
"cbc:Name":1 },

"cac:FinancialAccount": { "cbc:AccountTypeCode":1,
"cac:Country":1,
"cbc:CurrencyCode":1,
"cac:FinancialInstitutionBranch":1,
"cbc:ID":1,
"cbc:Name":1,
"cbc:PaymentNote":0 },

"cac:FinancialInstitution": { "cac:Address":1,
"cbc:ID":1,
"cbc:Name":1 },

"cac:FinancialInstitutionBranch": { "cac:Address":1,
"cac:FinancialInstitution":1,
"cbc:ID":1,
"cbc:Name":1 },

"cac:FirstArrivalPortLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:FlashpointTemperature": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:Measure":1 },

"cac:ForeignExchangeContract": { "cac:ContractDocumentReference":0,
"cbc:ContractType":1,
"cbc:ContractTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:IssueTime":1,
"cac:ValidityPeriod":1 },

"cac:FreightAllowanceCharge": { "cbc:AccountingCost":1,
"cbc:AccountingCostCode":1,
"cbc:AllowanceChargeReason":1,
"cbc:AllowanceChargeReasonCode":1,
"cbc:Amount":1,
"cbc:BaseAmount":1,
"cbc:ChargeIndicator":1,
"cbc:ID":1,
"cbc:MultiplierFactorNumeric":1,
"cac:PaymentMeans":0,
"cbc:PrepaidIndicator":1,
"cbc:SequenceNumeric":1,
"cac:TaxCategory":0,
"cac:TaxTotal":1 },

"cac:FreightForwarderParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:GoodsItem": { "cbc:ChargeableWeightMeasure":1,
"cac:ContainedGoodsItem":0,
"cbc:CustomsImportClassifiedIndicator":1,
"cbc:CustomsStatusCode":1,
"cbc:CustomsTariffQuantity":1,
"cbc:DeclaredCustomsValueAmount":1,
"cbc:DeclaredForCarriageValueAmount":1,
"cbc:DeclaredStatisticsValueAmount":1,
"cbc:Description":0,
"cbc:FreeOnBoardValueAmount":1,
"cac:FreightAllowanceCharge":0,
"cac:GoodsItemContainer":0,
"cbc:GrossVolumeMeasure":1,
"cbc:GrossWeightMeasure":1,
"cbc:HazardousRiskIndicator":1,
"cbc:ID":1,
"cbc:InsuranceValueAmount":1,
"cac:InvoiceLine":0,
"cac:Item":0,
"cbc:NetNetWeightMeasure":1,
"cbc:NetVolumeMeasure":1,
"cbc:NetWeightMeasure":1,
"cac:OriginAddress":1,
"cbc:PreferenceCriterionCode":1,
"cbc:Quantity":1,
"cbc:RequiredCustomsID":1,
"cbc:SequenceNumberID":1,
"cac:Temperature":0,
"cbc:ValueAmount":1 },

"cac:GoodsItemContainer": { "cbc:ID":1,
"cbc:Quantity":1,
"cac:TransportEquipment":0 },

"cac:HandlingUnitDespatchLine": { "cbc:BackorderQuantity":1,
"cbc:BackorderReason":1,
"cbc:DeliveredQuantity":1,
"cac:DocumentReference":0,
"cbc:ID":1,
"cac:Item":1,
"cbc:LineStatusCode":1,
"cbc:Note":1,
"cac:OrderLineReference":0,
"cbc:OutstandingQuantity":1,
"cbc:OutstandingReason":1,
"cbc:OversupplyQuantity":1,
"cac:Shipment":0,
"cbc:UUID":1 },

"cac:HazardousGoodsTransit": { "cbc:HazardousRegulationCode":1,
"cbc:InhalationToxicityZoneCode":1,
"cac:MaximumTemperature":1,
"cac:MinimumTemperature":1,
"cbc:PackingCriteriaCode":1,
"cbc:TransportAuthorizationCode":1,
"cbc:TransportEmergencyCardCode":1 },

"cac:HazardousItem": { "cbc:AdditionalInformation":1,
"cac:AdditionalTemperature":0,
"cbc:CategoryName":1,
"cac:ContactParty":1,
"cbc:EmergencyProceduresCode":1,
"cac:EmergencyTemperature":1,
"cac:FlashpointTemperature":1,
"cbc:HazardClassID":1,
"cbc:HazardousCategoryCode":1,
"cac:HazardousGoodsTransit":0,
"cbc:ID":1,
"cbc:LowerOrangeHazardPlacardID":1,
"cbc:MarkingID":1,
"cbc:MedicalFirstAidGuideCode":1,
"cbc:NetVolumeMeasure":1,
"cbc:NetWeightMeasure":1,
"cbc:PlacardEndorsement":1,
"cbc:PlacardNotation":1,
"cbc:Quantity":1,
"cac:SecondaryHazard":0,
"cbc:TechnicalName":1,
"cbc:UNDGCode":1,
"cbc:UpperOrangeHazardPlacardID":1 },

"cac:ImporterParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:InformationContentProviderParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:InvoiceDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:InvoiceLine": { "cbc:AccountingCost":1,
"cbc:AccountingCostCode":1,
"cac:AllowanceCharge":0,
"cac:BillingReference":0,
"cac:Delivery":0,
"cac:DeliveryTerms":1,
"cac:DespatchLineReference":0,
"cac:DocumentReference":0,
"cbc:FreeOfChargeIndicator":1,
"cbc:ID":1,
"cbc:InvoicedQuantity":1,
"cac:Item":1,
"cbc:LineExtensionAmount":1,
"cbc:Note":1,
"cac:OrderLineReference":0,
"cac:OriginatorParty":1,
"cac:PaymentTerms":0,
"cac:Price":1,
"cac:PricingReference":1,
"cac:ReceiptLineReference":0,
"cbc:TaxPointDate":1,
"cac:TaxTotal":0,
"cbc:UUID":1 },

"cac:IssuerParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:Item": { "cbc:AdditionalInformation":1,
"cac:AdditionalItemIdentification":0,
"cac:AdditionalItemProperty":0,
"cbc:BrandName":0,
"cac:BuyersItemIdentification":1,
"cac:CatalogueDocumentReference":1,
"cbc:CatalogueIndicator":1,
"cac:CatalogueItemIdentification":1,
"cac:ClassifiedTaxCategory":0,
"cac:CommodityClassification":0,
"cbc:Description":0,
"cac:HazardousItem":0,
"cbc:HazardousRiskIndicator":1,
"cac:InformationContentProviderParty":1,
"cac:ItemInstance":0,
"cac:ItemSpecificationDocumentReference":0,
"cbc:Keyword":0,
"cac:ManufacturerParty":0,
"cac:ManufacturersItemIdentification":0,
"cbc:ModelName":0,
"cbc:Name":1,
"cac:OriginAddress":0,
"cac:OriginCountry":1,
"cbc:PackQuantity":1,
"cbc:PackSizeNumeric":1,
"cac:SellersItemIdentification":1,
"cac:StandardItemIdentification":1,
"cac:TransactionConditions":0 },

"cac:ItemIdentification": { "cbc:ExtendedID":1,
"cbc:ID":1,
"cac:IssuerParty":1,
"cac:MeasurementDimension":0,
"cac:PhysicalAttribute":0 },

"cac:ItemInstance": { "cac:AdditionalItemProperty":0,
"cac:LotIdentification":1,
"cbc:ManufactureDate":1,
"cbc:ManufactureTime":1,
"cbc:ProductTraceID":1,
"cbc:RegistrationID":1,
"cbc:SerialID":1 },

"cac:ItemLocationQuantity": { "cac:ApplicableTaxCategory":0,
"cac:ApplicableTerritoryAddress":0,
"cac:DeliveryUnit":0,
"cbc:HazardousRiskIndicator":1,
"cbc:LeadTimeMeasure":1,
"cbc:MaximumQuantity":1,
"cbc:MinimumQuantity":1,
"cac:Price":1,
"cbc:TradingRestrictions":0 },

"cac:ItemProperty": { "cac:ItemPropertyGroup":0,
"cbc:Name":1,
"cac:UsabilityPeriod":1,
"cbc:Value":1 },

"cac:ItemPropertyGroup": { "cbc:ID":1,
"cbc:Name":1 },

"cac:ItemSpecificationDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:JurisdictionRegionAddress": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:Language": { "cbc:ID":1,
"cbc:LocaleCode":1,
"cbc:Name":1 },

"cac:LastExitPortLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:LineReference": { "cac:DocumentReference":1,
"cbc:LineID":1,
"cbc:LineStatusCode":1,
"cbc:UUID":1 },

"cac:LoadingLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:LoadingPortLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:LoadingProofParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:Location": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:LocationCoordinate": { "cbc:CoordinateSystemCode":1,
"cbc:LatitudeDegreesMeasure":1,
"cbc:LatitudeDirectionCode":1,
"cbc:LatitudeMinutesMeasure":1,
"cbc:LongitudeDegreesMeasure":1,
"cbc:LongitudeDirectionCode":1,
"cbc:LongitudeMinutesMeasure":1 },

"cac:LotIdentification": { "cac:AdditionalItemProperty":0,
"cbc:ExpiryDate":1,
"cbc:LotNumberID":1 },

"cac:ManufacturerParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:ManufacturersItemIdentification": { "cbc:ExtendedID":1,
"cbc:ID":1,
"cac:IssuerParty":1,
"cac:MeasurementDimension":0,
"cac:PhysicalAttribute":0 },

"cac:MaritimeTransport": { "cbc:VesselID":1,
"cbc:VesselName":1 },

"cac:MaximumTemperature": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:Measure":1 },

"cac:MeasurementDimension": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:MaximumMeasure":1,
"cbc:Measure":1,
"cbc:MinimumMeasure":1 },

"cac:MinimumTemperature": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:Measure":1 },

"cac:NotifyParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:OrderLineReference": { "cbc:LineID":1,
"cbc:LineStatusCode":1,
"cac:OrderReference":1,
"cbc:SalesOrderLineID":1,
"cbc:UUID":1 },

"cac:OrderReference": { "cbc:CopyIndicator":1,
"cbc:CustomerReference":1,
"cac:DocumentReference":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:IssueTime":1,
"cbc:SalesOrderID":1,
"cbc:UUID":1 },

"cac:OriginAddress": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:OriginCountry": { "cbc:IdentificationCode":1,
"cbc:Name":1 },

"cac:OriginalDepartureCountry": { "cbc:IdentificationCode":1,
"cbc:Name":1 },

"cac:OriginalDespatchParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:OriginalDespatchTransportationService": { "cbc:FreightRateClassCode":1,
"cbc:Priority":1,
"cbc:TariffClassCode":1,
"cbc:TransportServiceCode":1 },

"cac:OriginalDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:OriginalItemLocationQuantity": { "cac:ApplicableTaxCategory":0,
"cac:ApplicableTerritoryAddress":0,
"cac:DeliveryUnit":0,
"cbc:HazardousRiskIndicator":1,
"cbc:LeadTimeMeasure":1,
"cbc:MaximumQuantity":1,
"cbc:MinimumQuantity":1,
"cac:Price":1,
"cbc:TradingRestrictions":0 },

"cac:OriginatorParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:OtherCommunication": { "cbc:Channel":1,
"cbc:ChannelCode":1,
"cbc:Value":1 },

"cac:OwnerParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:Package": { "cac:ContainedPackage":0,
"cac:DeliveryUnit":0,
"cac:GoodsItem":0,
"cbc:ID":1,
"cac:MeasurementDimension":0,
"cbc:PackageLevelCode":1,
"cbc:PackagingTypeCode":1,
"cbc:PackingMaterial":0,
"cbc:Quantity":1,
"cbc:ReturnableMaterialIndicator":1 },

"cac:Party": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:PartyIdentification": { "cbc:ID":1 },

"cac:PartyLegalEntity": { "cbc:CompanyID":1,
"cac:CorporateRegistrationScheme":1,
"cac:RegistrationAddress":1,
"cbc:RegistrationName":1 },

"cac:PartyName": { "cbc:Name":1 },

"cac:PartyTaxScheme": { "cbc:CompanyID":1,
"cbc:ExemptionReason":1,
"cbc:ExemptionReasonCode":1,
"cac:RegistrationAddress":1,
"cbc:RegistrationName":1,
"cbc:TaxLevelCode":1,
"cac:TaxScheme":1 },

"cac:PayeeFinancialAccount": { "cbc:AccountTypeCode":1,
"cac:Country":1,
"cbc:CurrencyCode":1,
"cac:FinancialInstitutionBranch":1,
"cbc:ID":1,
"cbc:Name":1,
"cbc:PaymentNote":0 },

"cac:PayerFinancialAccount": { "cbc:AccountTypeCode":1,
"cac:Country":1,
"cbc:CurrencyCode":1,
"cac:FinancialInstitutionBranch":1,
"cbc:ID":1,
"cbc:Name":1,
"cbc:PaymentNote":0 },

"cac:PaymentMeans": { "cac:CardAccount":1,
"cac:CreditAccount":1,
"cbc:ID":1,
"cbc:InstructionID":1,
"cbc:InstructionNote":0,
"cac:PayeeFinancialAccount":1,
"cac:PayerFinancialAccount":1,
"cbc:PaymentChannelCode":1,
"cbc:PaymentDueDate":1,
"cbc:PaymentID":0,
"cbc:PaymentMeansCode":1 },

"cac:PaymentTerms": { "cbc:Amount":1,
"cbc:ID":1,
"cbc:Note":0,
"cbc:PaymentMeansID":1,
"cac:PenaltyPeriod":1,
"cbc:PenaltySurchargePercent":1,
"cbc:PrepaidPaymentReferenceID":1,
"cbc:ReferenceEventCode":1,
"cbc:SettlementDiscountPercent":1,
"cac:SettlementPeriod":1 },

"cac:PenaltyPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:Period": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:Person": { "cbc:FamilyName":1,
"cbc:FirstName":1,
"cbc:JobTitle":1,
"cbc:MiddleName":1,
"cbc:NameSuffix":1,
"cbc:OrganizationDepartment":1,
"cbc:Title":1 },

"cac:PhysicalAttribute": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:DescriptionCode":1,
"cbc:PositionCode":1 },

"cac:PhysicalLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:PostalAddress": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:PreviousPriceList": { "cbc:ID":1,
"cac:PreviousPriceList":1,
"cbc:StatusCode":1,
"cac:ValidityPeriod":0 },

"cac:Price": { "cac:AllowanceCharge":0,
"cbc:BaseQuantity":1,
"cbc:OrderableUnitFactorRate":1,
"cbc:PriceAmount":1,
"cbc:PriceChangeReason":0,
"cac:PriceList":1,
"cbc:PriceType":1,
"cbc:PriceTypeCode":1,
"cac:ValidityPeriod":0 },

"cac:PriceList": { "cbc:ID":1,
"cac:PreviousPriceList":1,
"cbc:StatusCode":1,
"cac:ValidityPeriod":0 },

"cac:PricingReference": { "cac:AlternativeConditionPrice":0,
"cac:OriginalItemLocationQuantity":1 },

"cac:PromisedDeliveryPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:ProviderParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:RailTransport": { "cbc:RailCarID":1,
"cbc:TrainID":1 },

"cac:ReceiptLine": { "cac:DespatchLineReference":0,
"cac:DocumentReference":0,
"cbc:ID":1,
"cac:Item":0,
"cbc:Note":1,
"cac:OrderLineReference":1,
"cbc:OversupplyQuantity":1,
"cbc:ReceivedDate":1,
"cbc:ReceivedQuantity":1,
"cbc:RejectActionCode":1,
"cbc:RejectReason":1,
"cbc:RejectReasonCode":1,
"cbc:RejectedQuantity":1,
"cac:Shipment":0,
"cbc:ShortQuantity":1,
"cbc:ShortageActionCode":1,
"cbc:TimingComplaint":1,
"cbc:TimingComplaintCode":1,
"cbc:UUID":1 },

"cac:ReceiptLineReference": { "cac:DocumentReference":1,
"cbc:LineID":1,
"cbc:LineStatusCode":1,
"cbc:UUID":1 },

"cac:ReceivedHandlingUnitReceiptLine": { "cac:DespatchLineReference":0,
"cac:DocumentReference":0,
"cbc:ID":1,
"cac:Item":0,
"cbc:Note":1,
"cac:OrderLineReference":1,
"cbc:OversupplyQuantity":1,
"cbc:ReceivedDate":1,
"cbc:ReceivedQuantity":1,
"cbc:RejectActionCode":1,
"cbc:RejectReason":1,
"cbc:RejectReasonCode":1,
"cbc:RejectedQuantity":1,
"cac:Shipment":0,
"cbc:ShortQuantity":1,
"cbc:ShortageActionCode":1,
"cbc:TimingComplaint":1,
"cbc:TimingComplaintCode":1,
"cbc:UUID":1 },

"cac:RegistrationAddress": { "cbc:AdditionalStreetName":1,
"cbc:AddressFormatCode":1,
"cac:AddressLine":0,
"cbc:AddressTypeCode":1,
"cbc:BlockName":1,
"cbc:BuildingName":1,
"cbc:BuildingNumber":1,
"cbc:CityName":1,
"cbc:CitySubdivisionName":1,
"cac:Country":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Department":1,
"cbc:District":1,
"cbc:Floor":1,
"cbc:ID":1,
"cbc:InhouseMail":1,
"cac:LocationCoordinate":1,
"cbc:MarkAttention":1,
"cbc:MarkCare":1,
"cbc:PlotIdentification":1,
"cbc:PostalZone":1,
"cbc:Postbox":1,
"cbc:Region":1,
"cbc:Room":1,
"cbc:StreetName":1,
"cbc:TimezoneOffset":1 },

"cac:ReminderDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:RequestedDeliveryPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:RoadTransport": { "cbc:LicensePlateID":1 },

"cac:SecondaryHazard": { "cbc:EmergencyProceduresCode":1,
"cbc:Extension":1,
"cbc:ID":1,
"cbc:PlacardEndorsement":1,
"cbc:PlacardNotation":1 },

"cac:SelfBilledCreditNoteDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:SelfBilledInvoiceDocumentReference": { "cac:Attachment":1,
"cbc:CopyIndicator":1,
"cbc:DocumentType":1,
"cbc:DocumentTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:UUID":1,
"cbc:XPath":0 },

"cac:SellersItemIdentification": { "cbc:ExtendedID":1,
"cbc:ID":1,
"cac:IssuerParty":1,
"cac:MeasurementDimension":0,
"cac:PhysicalAttribute":0 },

"cac:SettlementPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:Shipment": { "cac:Consignment":1,
"cbc:DeclaredCustomsValueAmount":1,
"cbc:DeclaredForCarriageValueAmount":1,
"cbc:DeclaredStatisticsValueAmount":1,
"cac:Delivery":1,
"cbc:DeliveryInstructions":0,
"cac:ExportCountry":1,
"cac:FirstArrivalPortLocation":1,
"cbc:FreeOnBoardValueAmount":1,
"cac:FreightAllowanceCharge":0,
"cac:GoodsItem":0,
"cbc:GrossVolumeMeasure":1,
"cbc:GrossWeightMeasure":1,
"cbc:HandlingCode":1,
"cbc:HandlingInstructions":1,
"cbc:ID":1,
"cbc:Information":1,
"cbc:InsuranceValueAmount":1,
"cac:LastExitPortLocation":1,
"cbc:NetNetWeightMeasure":1,
"cbc:NetVolumeMeasure":1,
"cbc:NetWeightMeasure":1,
"cac:OriginAddress":1,
"cac:ShipmentStage":0,
"cbc:ShippingPriorityLevelCode":1,
"cbc:SpecialInstructions":0,
"cbc:SplitConsignmentIndicator":1,
"cbc:TotalGoodsItemQuantity":1,
"cbc:TotalTransportHandlingUnitQuantity":1,
"cac:TransportHandlingUnit":0 },

"cac:ShipmentStage": { "cac:CarrierParty":0,
"cbc:ID":1,
"cac:LoadingPortLocation":1,
"cbc:OnCarriageIndicator":1,
"cbc:PreCarriageIndicator":1,
"cbc:TransitDirectionCode":1,
"cac:TransitPeriod":1,
"cac:TransportMeans":1,
"cbc:TransportMeansTypeCode":1,
"cbc:TransportModeCode":1,
"cac:TransshipPortLocation":1,
"cac:UnloadingPortLocation":1 },

"cac:SignatoryParty": { "cac:AgentParty":1,
"cac:Contact":1,
"cbc:EndpointID":1,
"cac:Language":1,
"cbc:LogoReferenceID":1,
"cbc:MarkAttentionIndicator":1,
"cbc:MarkCareIndicator":1,
"cac:PartyIdentification":0,
"cac:PartyLegalEntity":0,
"cac:PartyName":0,
"cac:PartyTaxScheme":0,
"cac:Person":1,
"cac:PhysicalLocation":1,
"cac:PostalAddress":1,
"cbc:WebsiteURI":1 },

"cac:Signature": { "cbc:CanonicalizationMethod":1,
"cac:DigitalSignatureAttachment":1,
"cbc:ID":1,
"cbc:Note":1,
"cac:OriginalDocumentReference":1,
"cac:SignatoryParty":1,
"cbc:SignatureMethod":1,
"cbc:ValidationDate":1,
"cbc:ValidationTime":1,
"cbc:ValidatorID":1 },

"cac:StandardItemIdentification": { "cbc:ExtendedID":1,
"cbc:ID":1,
"cac:IssuerParty":1,
"cac:MeasurementDimension":0,
"cac:PhysicalAttribute":0 },

"cac:Stowage": { "cbc:Location":0,
"cbc:LocationID":1,
"cac:MeasurementDimension":0 },

"cac:TaxCategory": { "cbc:BaseUnitMeasure":1,
"cbc:ID":1,
"cbc:Name":1,
"cbc:PerUnitAmount":1,
"cbc:Percent":1,
"cbc:TaxExemptionReason":1,
"cbc:TaxExemptionReasonCode":1,
"cac:TaxScheme":1,
"cbc:TierRange":1,
"cbc:TierRatePercent":1 },

"cac:TaxScheme": { "cbc:CurrencyCode":1,
"cbc:ID":1,
"cac:JurisdictionRegionAddress":0,
"cbc:Name":1,
"cbc:TaxTypeCode":1 },

"cac:TaxSubtotal": { "cbc:BaseUnitMeasure":1,
"cbc:CalculationSequenceNumeric":1,
"cbc:PerUnitAmount":1,
"cbc:Percent":1,
"cbc:TaxAmount":1,
"cac:TaxCategory":1,
"cbc:TaxableAmount":1,
"cbc:TierRange":1,
"cbc:TierRatePercent":1,
"cbc:TransactionCurrencyTaxAmount":1 },

"cac:TaxTotal": { "cbc:RoundingAmount":1,
"cbc:TaxAmount":1,
"cbc:TaxEvidenceIndicator":1,
"cac:TaxSubtotal":0 },

"cac:Temperature": { "cbc:AttributeID":1,
"cbc:Description":0,
"cbc:Measure":1 },

"cac:TransactionConditions": { "cbc:ActionCode":1,
"cbc:Description":0,
"cac:DocumentReference":0,
"cbc:ID":1 },

"cac:TransitCountry": { "cbc:IdentificationCode":1,
"cbc:Name":1 },

"cac:TransitPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:TransportContract": { "cac:ContractDocumentReference":0,
"cbc:ContractType":1,
"cbc:ContractTypeCode":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:IssueTime":1,
"cac:ValidityPeriod":1 },

"cac:TransportEquipment": { "cbc:DispositionCode":1,
"cbc:FullnessIndicationCode":1,
"cbc:ID":1,
"cbc:Information":1,
"cbc:LegalStatusIndicator":1,
"cac:LoadingLocation":1,
"cac:LoadingProofParty":1,
"cac:MaximumTemperature":1,
"cac:MeasurementDimension":0,
"cac:MinimumTemperature":1,
"cbc:OwnerTypeCode":1,
"cac:ProviderParty":1,
"cbc:ProviderTypeCode":1,
"cbc:RefrigerationOnIndicator":1,
"cbc:ReturnabilityIndicator":1,
"cbc:SizeTypeCode":1,
"cac:TransportEquipmentSeal":0,
"cbc:TransportEquipmentTypeCode":1 },

"cac:TransportEquipmentSeal": { "cbc:Condition":1,
"cbc:ID":1,
"cbc:SealIssuerTypeCode":1,
"cbc:SealStatusCode":1,
"cbc:SealingPartyType":1 },

"cac:TransportHandlingUnit": { "cac:ActualPackage":0,
"cbc:DamageRemarks":0,
"cbc:HandlingCode":1,
"cbc:HandlingInstructions":1,
"cac:HandlingUnitDespatchLine":0,
"cac:HazardousGoodsTransit":0,
"cbc:HazardousRiskIndicator":1,
"cbc:ID":1,
"cac:MaximumTemperature":1,
"cac:MeasurementDimension":0,
"cac:MinimumTemperature":1,
"cac:ReceivedHandlingUnitReceiptLine":0,
"cbc:ShippingMarks":0,
"cbc:TotalGoodsItemQuantity":1,
"cbc:TotalPackageQuantity":1,
"cac:TransportEquipment":0,
"cbc:TransportHandlingUnitTypeCode":1 },

"cac:TransportMeans": { "cac:AirTransport":1,
"cbc:DirectionCode":1,
"cbc:JourneyID":1,
"cac:MaritimeTransport":1,
"cac:OwnerParty":1,
"cac:RailTransport":1,
"cbc:RegistrationNationality":0,
"cbc:RegistrationNationalityID":1,
"cac:RoadTransport":1,
"cac:Stowage":1 },

"cac:TransportationService": { "cbc:FreightRateClassCode":1,
"cbc:Priority":1,
"cbc:TariffClassCode":1,
"cbc:TransportServiceCode":1 },

"cac:TransshipPortLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"ext:UBLExtension": { "ext:ExtensionAgencyID":1,
"ext:ExtensionAgencyName":1,
"ext:ExtensionAgencyURI":1,
"ext:ExtensionReason":1,
"ext:ExtensionReasonCode":1,
"ext:ExtensionURI":1,
"ext:ExtensionVersionID":1,
"cbc:ID":1,
"cbc:Name":1 },

"ext:UBLExtensions": { "ext:UBLExtension":0 },

"cac:UnloadingPortLocation": { "cac:Address":1,
"cbc:Conditions":1,
"cbc:CountrySubentity":1,
"cbc:CountrySubentityCode":1,
"cbc:Description":1,
"cbc:ID":1,
"cac:ValidityPeriod":0 },

"cac:UsabilityPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"cac:ValidityPeriod": { "cbc:Description":0,
"cbc:DescriptionCode":0,
"cbc:DurationMeasure":1,
"cbc:EndDate":1,
"cbc:EndTime":1,
"cbc:StartDate":1,
"cbc:StartTime":1 },

"wb:Waybill": { "cbc:AdValoremIndicator":1,
"cbc:CarrierAssignedID":1,
"cac:CarrierParty":1,
"cac:ConsignorParty":1,
"cbc:CustomizationID":1,
"cbc:DeclaredCarriageValueAmount":1,
"cbc:Description":0,
"cac:DocumentDistribution":0,
"cac:DocumentReference":0,
"cac:ExchangeRate":0,
"cac:FreightForwarderParty":1,
"cbc:ID":1,
"cbc:IssueDate":1,
"cbc:IssueTime":1,
"cbc:Name":1,
"cbc:Note":0,
"cbc:OtherInstruction":0,
"cbc:ProfileID":1,
"cac:Shipment":1,
"cbc:ShippingOrderID":1,
"cac:Signature":0,
"ext:UBLExtensions":1,
"cbc:UBLVersionID":1,
"cbc:UUID":1 }
}

FilterUBL( parentChild, prefixes )

# end
